@import url('https://fonts.googleapis.com/css2?family=Alegreya+Sans:ital,wght@0,100;0,300;1,100;1,300&display=swap');


	                                /*
════ plutocss by mcs ════════════════*══════════════════════════════════════════
	                                 */





pluto-output.rich_output  {
	font-variant-numeric: oldstyle-nums !important;
}

/* 
pluto-output.rich_output a {
	font-family: "Alegreya Sans", sans-serif;
	color: var(--mcs-color-links) !important;
	text-decoration: none;
	font-style: italic;
}
 */

:root {
	--gentleblue:			#5e81ac;
	--troublered: 			#ff2600;
	--killerorange: 		#db5728;
	--wellhellothereorange:	#f7800f;
	--addblue: 				#037db6;
    --ayustringgreen: 		#86b300;
	--onsomeothergreen: 	#439d00;
	--link-green: 			#008800;
    --biscayblue: 			#192b67;
    --brightturquoise:      #00edc5;
	--audiblegreen:			#00f900;
	--mcs_tiger: 			#411ff5;
    --MCS_tiger: 			65, 31, 245;
    --mcs_gold_barely_there: #fcf8e3;
    --mcs_white: 			#fffdf2;
    --mcs_primary: 			#1c6be4;
    --mcs_sinister_blue: 	#000455;   /*  #000b66*/
    --MCS_sinister_blue: 0, 4, 85;   
    --mcs_tahiti_blue: 		#000789;
    --MCS_tahiti_blue: 0, 7, 137;
    --mcs_argentum: 		#bfc3e1;





	--mcs-font-size-base: 17px;
	--mcs-font-size-title-attribution: calc(var(--mcs-font-size-base) * 0.75);
	--mcs-color-title-attribution:          var(--wellhellothereorange);
	--mcs-padding-bottom-title-text:   calc(var(--mcs-font-size-title-attribution) * 0.35 + 0.5px);
	--mcs-color-title-text:                 var(--killerorange);
	--mcs-color-title-block-midrule:        var(--wellhellothereorange);
	--mcs-color-appendix:                   var(--gentleblue);
	--mcs-color-links:                      var(--link-green);
	--mcs-color-success:               #00b800;
    --mcs-color-inline_code-background: #f2efe7;


}

@media (prefers-color-scheme: dark) {
	:root {
		--mcs_tiger:  #6351f7;
		--pluto-output-h-color: #ebe8e1;
        --mcs-color-inline_code-background: #2e3742;
		--addblue: #35abda;
	}
}



/* 
a {
	color: var(--mcs-color-links);
	text-decoration: none!important;
	font-style: normal;
} 
*/


.Vollkorn { font-family: Vollkorn serif; }

.font-style-normal { font-style: normal; }

.addblue { 
	color: var(--addblue);     
	fill:  var(--addblue); 
}
.ayustringgreen { color: var(--ayustringgreen); fill: var(--ayustringgreen); }
.killerorange   { color: var(--killerorange);   fill: var(--killerorange);   }
.Killerorange   { background-color: var(--killerorange);}
.pluto-output-h-color {color: var(--pluto-output-h-color);}
.tiger {color: var(--mcs_tiger); fill: var(--mcs_tiger);}


.success  {color: var(--mcs-color-success);}
.danger   {color: var(--wellhellothereorange) !important;}
.link     {
    color: var(--mcs-color-links)!important;
	fill: var(--mcs-color-links);
}


/* h1 { color: var(--biscayblue) !important; } */
/* h2 { color: var(--addblue) !important;} */
/* h3 { color: var(--ayustringgreen) !important;} */

h2 {
	border-bottom-color: transparent !important;
}

.mcs.faux-heading {
	font-family: Vollkorn serif;
	font-size: 1.3em;
	color: var(--pluto-output-h-color);
	text-decoration: none!important;
}


/* special headings */

[id^="attack"] {color: var(--killerorange);} 
.finis  {color: var(--mcs-color-success); font-weight:100!important;}


h2#appendix {
	color: var(--mcs-color-appendix);
	font-size: 1.6rem;
	border-bottom: none;
}

[id^="appendix"],
.count-appendix {
	counter-reset: appendix-items;
	counter-increment: appendices;
}

.appendix {color: var(--mcs-color-appendix);}

.appendix-item::before {
	counter-increment: appendix-items;
	content: counter(appendices,lower-alpha)counter(appendix-items)" ";
	font-variant: small-caps;
	color: var(--mcs-color-appendix);
}
.dull {color: var(--rule-color);}
.dull:before {opacity: 0.6;}

.silly-heading-border {
	border-top: 1px solid var(--mcs-color-appendix)!important;
	padding-top: 1em;
	margin-top: 4em;
}



.MathJax {
	font-size: 16px;
	font-weight: 100 !important;
	letter-spacing: 4px !important;
	color: currentColor;
}
.hailmary {
	color: currentColor;
	fill: currentColor;
	stroke:currentColor;
}
.dimmer {opacity: 0.75;}


.message {
	background-color: transparent !important;
	border: none;
	border-left: 3px solid;
	border-radius: 2px;
}

.message.found p:not(:first-child) {
	filter:blur(0.25em);
}

.message.found p:not(:first-child):hover {
	filter: blur(0);
/* font-size: 4em; */
}
.message.found *,
.message.found *:hover{
transition: filter 0.5s ease;

}


/* ══ counters ═════════════════════════════════════*═ */
body {
	counter-reset: figures tables appendices sections appendix-items;
}


.fig_caption {
	/*margin-top: -1em;*/
	color: var(--pluto-output-color);
	font-weight: 300;
}

.fig_caption::before {
	counter-increment: figures;
	content: "Figure " counter(figures)". ";
	color: var(--addblue);
	font-weight: 900;
	font-size: 105%;
}


p.table.caption {
	text-align: center;
	/* margin-bottom: 0.3em; */
}

/* 
p.caption + table {
	margin-top: 0;
}
 */

p.table.caption::before {
	counter-increment: tables;
	content: "Table " counter(tables)". ";
	color: var(--addblue);
	font-weight: 900;
	font-size: 105%;
}




.newthought { 
    font-style: normal; 
    font-variant: small-caps; 
    font-size: 1.2em;
}




.decimal { list-style-type: decimal;   }
.GREEK { list-style-type: upper-greek; }
.greek { list-style-type: lower-greek; }
.ALPHA { list-style-type: upper-alpha; }
.alpha { list-style-type: lower-alpha; }
.ROMAN { list-style-type: upper-roman; }
.roman { list-style-type: lower-roman; }
.lao   { list-style-type: lao; 
         list-style-type: -moz-lao;    }
.arabic-indic {
         list-style-type: arabic-indic; 
         list-style-type: -moz-arabic-indic; }


.center, .center > * { margin-inline: auto; text-align: center; }
/*.left, .left > * { margin-right: auto; text-align: left; }*/
.right, .right > * { margin-left: auto!important; text-align: right; display: block; }

.w-10 { width: 10%; }
.w-20 { width: 20%; }
.w-30 { width: 30%; }
.w-40 { width: 40%; }
.w-50 { width: 50%; }
.w-60 { width: 60%; }
.w-70 { width: 70%; }
.w-80 { width: 80%; }
.w-90 { width: 90%; }

.mx, .mx-auto {margin-inline: auto; }
.ml {margin-left:   auto; }
.mr {margin-right:  auto; }


.ml-00 { margin-left:   0; }
.ml-05 { margin-left:  5%; }
.ml-10 { margin-left: 10%; }
.ml-15 { margin-left: 15%; }
.ml-20 { margin-left: 20%; }
.ml-25 { margin-left: 25%; }
.ml-30 { margin-left: 30%; }
.ml-35 { margin-left: 35%; }
.ml-40 { margin-left: 40%; }
.ml-45 { margin-left: 45%; }
.ml-50 { margin-left: 50%; }


.mr-00 { margin-right:   0; }
.mr-05 { margin-right:  5%; }
.mr-10 { margin-right: 10%; }
.mr-15 { margin-right: 15%; }
.mr-20 { margin-right: 20%; }
.mr-25 { margin-right: 25%; }
.mr-30 { margin-right: 30%; }
.mr-35 { margin-right: 35%; }
.mr-40 { margin-right: 40%; }
.mr-45 { margin-right: 45%; }
.mr-50 { margin-right: 50%; }

.fw-8 { font-weight: 800; }
.fw-7 { font-weight: 700; }
.fw-6 { font-weight: 600; }
.fw-5 { font-weight: 500; }
.fw-4 { font-weight: 400; }
.fw-3 { font-weight: 300; }

.fs-95 { font-size: 95%; }
.fs-90 { font-size: 90%; }
.fs-85 { font-size: 85%; }
.fs-80 { font-size: 80%; }





.mcs.highlight {
	display: inline-block;
	padding: 0px 4px;
	color: currentColor;
	background-color: var(--code-background);         /* Pluto stock cm bg color */
	border: 1px solid var(--main-bg-color);
	border-radius:3px;
}

.highlight.property-table {
	color: currentColor;
	background-color: var(--mcs-color-inline_code-background);
	/* background-color: #9abcd1; */
}

:root {
	--color-admonition-color: #666666;
	--color-admonition-bg_color: #f8f8f8;
	--color-admonition-title-color: #666666;
	--color-admonition-title-bg_color: transparent;
	--color-admonition-border: #aaaaaa;
}

.admonition {
	color: var(--color-admonition-color)!important;
	background-color: var(--color-admonition-bg_color)!important;
	border-width: 0.5px 0.5px 0.5px 4px!important;
	border-color: var(--color-admonition-border)!important;
	padding: 1em 1em 0.75em 1.5em!important;
	overflow: hidden;
}
.admonition-title {
	background-color: transparent!important;
	color: var(--color-admonition-title-color)!important;
}


.admonition.success {
	--color-admonition-color: #0f5132;
	--color-admonition-bg_color: rgba(7, 68, 7, 0.05);
	--color-admonition-title-color: #0f5132;
	--color-admonition-border: #0f5132;
}
@media (prefers-color-scheme: dark) {
	.admonition.success {
		--color-admonition-color: #00f900;
		--color-admonition-bg_color: transparent;
		--color-admonition-title-color: #00f900;
		--color-admonition-border: #00f900;
	}
}
